package com.keao.edu.user.entity;

import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.api.enums.ExamModeEnum;
import com.keao.edu.user.enums.TeacherSettlementTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(exam_teacher_salary):
 */
public class ExamTeacherSalary {

	private Long id;

	@ApiModelProperty(value = "考级项目编号")
	private Long examinationBasicId;

	@ApiModelProperty(value = "考试类型")
	private ExamModeEnum examMode;

	@ApiModelProperty(value = "教室编号")
	private Integer teacherId;

	private SysUser teacher;

	@ApiModelProperty(value = "结算类型（按天/人）")
	private TeacherSettlementTypeEnum settlementType;

	@ApiModelProperty(value = "分润金额")
	private java.math.BigDecimal shareProfitAmount;

	@ApiModelProperty(value = "总监考次数")
	private Integer totalInvigilationNum;

	@ApiModelProperty(value = "监考学员数")
	private Integer totalInvigilationStudentNum;

	@ApiModelProperty(value = "结算费用")
	private BigDecimal totalSettlementCost;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public ExamModeEnum getExamMode() {
		return examMode;
	}

	public void setExamMode(ExamModeEnum examMode) {
		this.examMode = examMode;
	}

	public TeacherSettlementTypeEnum getSettlementType() {
		return settlementType;
	}

	public void setSettlementType(TeacherSettlementTypeEnum settlementType) {
		this.settlementType = settlementType;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}

	public SysUser getTeacher() {
		return teacher;
	}

	public void setTeacher(SysUser teacher) {
		this.teacher = teacher;
	}

	public void setShareProfitAmount(java.math.BigDecimal shareProfitAmount){
		this.shareProfitAmount = shareProfitAmount;
	}
	
	public java.math.BigDecimal getShareProfitAmount(){
		return this.shareProfitAmount;
	}

	public Integer getTotalInvigilationNum() {
		return totalInvigilationNum;
	}

	public void setTotalInvigilationNum(Integer totalInvigilationNum) {
		this.totalInvigilationNum = totalInvigilationNum;
	}

	public Integer getTotalInvigilationStudentNum() {
		return totalInvigilationStudentNum;
	}

	public void setTotalInvigilationStudentNum(Integer totalInvigilationStudentNum) {
		this.totalInvigilationStudentNum = totalInvigilationStudentNum;
	}

	public BigDecimal getTotalSettlementCost() {
		return totalSettlementCost;
	}

	public void setTotalSettlementCost(BigDecimal totalSettlementCost) {
		this.totalSettlementCost = totalSettlementCost;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
